Bug 16891 - APM/battery applet crashes panel due to kernel/BIOS issues
APM/battery applet crashes panel due to kernel/BIOS issues
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael K. Johnson
: 18113 20502 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2000-08-24 16:47 EDT by Dan Taylor
Modified: 2008-05-01 11:37 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-02-13 19:23:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
dmesg (3.60 KB, patch)
2000-08-25 08:59 EDT, Dan Taylor
no flags Details | Diff
messages (87.98 KB, text/plain)
2000-08-25 08:59 EDT, Dan Taylor
no flags Details
meminfo (378 bytes, text/plain)
2000-08-25 09:01 EDT, Dan Taylor
no flags Details

  None (edit)
Description Dan Taylor 2000-08-24 16:47:11 EDT
Dell I5000e
ATI M3 video chip.
r128 driver

1 system has 15" LCD SXGA+ 1400x1050
1 system has 15" LCD SXGA 1024x768

Gnome panel applet blinks 5 times & then dies (is non-existant) when gnome 
Comment 1 David Mason 2000-08-24 17:27:36 EDT
Need more clarification: You have this under applets (which are small programs
that run within the Panel). Do you mean to have this under gnome-core (which
contains the Panel itesef)? Which is crashing the Panel or an applet on the
Panel. I doubt this is an issue with the video card so please tell me if this is
a fresh install, or an upgrade. If you do not care about the configuration of
the Panel try removing ~/.gnome/panel.d and restarting.
Comment 2 Dan Taylor 2000-08-24 17:34:05 EDT
It is the panel itself that is dying. Moving to gnome-core.
This is on a fresh install + XFree86-4.0.1-0.45.i386.rpm & Xconfigurator-4.4.1-
Comment 3 David Mason 2000-08-24 17:41:27 EDT
OK the blinking is the default number of times that the panel is restarted in
the gnome session - try logging out, going to a virtual terminal removing all of
~/.gnome and logging back in. Any change? Does it work? No?
Comment 4 Dan Taylor 2000-08-24 17:53:39 EDT
Did the above.  Panel still dies.  Did seem to blink several more times than 
Comment 5 David Mason 2000-08-24 18:02:50 EDT
OK - assigning bug - if you could run $strace panel from a terminal and attach
the output here
Comment 6 Jonathan Blandford 2000-08-24 18:26:39 EDT

can you log in "Safe Mode" and try running `panel`, and let me know what it

Comment 7 Bill Nottingham 2000-08-24 19:29:54 EDT
FYI, we got private mail from Dell; the panel/battery_applet
seems to be oopsing the kernel when checking battery
status, and it seems that it may actually be a BIOS bug
in the affected machines.
Comment 8 Dan Taylor 2000-08-25 08:58:38 EDT
Panel may be crashing due to APM/battery status applet. Attaching files for 
tacking purposes.  Will move to appropriate component as well.
Comment 9 Dan Taylor 2000-08-25 08:59:11 EDT
Created attachment 2978 [details]
Comment 10 Dan Taylor 2000-08-25 08:59:52 EDT
Created attachment 2979 [details]
Comment 11 Dan Taylor 2000-08-25 09:01:38 EDT
Created attachment 2980 [details]
Comment 12 Elliot Lee 2001-01-31 13:28:24 EST
*** Bug 20502 has been marked as a duplicate of this bug. ***
Comment 13 Elliot Lee 2001-01-31 18:04:06 EST
*** Bug 18113 has been marked as a duplicate of this bug. ***
Comment 14 Elliot Lee 2001-02-01 16:04:04 EST
Change summary
Comment 15 Elliot Lee 2001-02-13 19:23:16 EST
The general feeling seems to be that it is the kernel that is crashing due to
hardware/BIOS bugs, and any fix in gnome-core would penalize users with working
laptops. I'm reassigning this to the kernel component - if this problem is
fixable there, that's great, otherwise the kernel guy will probably want to
close with WONTFIX.

Note You need to log in before you can comment on or make changes to this bug.